#!/bin/sh

_tarback_plugin_postgres_host=
_tarback_plugin_postgres_port=
_tarback_plugin_postgres_user=
_tarback_plugin_postgres_password=

short_options='h:p:U:w:'
while getopts "$short_options" arg; do
    case "$arg" in
        h)
            _tarback_plugin_postgres_host="$OPTARG"
            ;;
        p)
            _tarback_plugin_postgres_port="$OPTARG"
            ;;
        U)
            _tarback_plugin_postgres_user="$OPTARG"
            ;;
        w)
            _tarback_plugin_postgres_password="$OPTARG"
            ;;
    esac
done

_tarback_plugin_postgres_command=
[ -n "$_tarback_plugin_postgres_host" ] && _tarback_plugin_postgres_command="$_tarback_plugin_postgres_command -h '$_tarback_plugin_postgres_host'"
[ -n "$_tarback_plugin_postgres_port" ] && _tarback_plugin_postgres_command="$_tarback_plugin_postgres_command -p '$_tarback_plugin_postgres_port'"
[ -n "$_tarback_plugin_postgres_user" ] && _tarback_plugin_postgres_command="$_tarback_plugin_postgres_command -U '$_tarback_plugin_postgres_user'"
_tarback_plugin_postgres_create_command="PGPASSWORD='$_tarback_plugin_postgres_password' pg_dump --clean $_tarback_plugin_postgres_command "'"$1"'
_tarback_plugin_postgres_extract_command="PGPASSWORD='$_tarback_plugin_postgres_password' psql $_tarback_plugin_postgres_command"
TARBACK_TAR_CREATE_COMMAND="$_tarback_plugin_postgres_create_command"
TARBACK_TAR_EXTRACT_COMMAND="$_tarback_plugin_postgres_extract_command"
TARBACK_EXTENSION='xz'
TARBACK_TAR_CREATE_USE_ALT_COMMAND=false
TARBACK_TAR_EXTRACT_USE_ALT_COMMAND=false

